/*----------------------------------------------------------------------
 *      BEGIN OF HEADER FILE
 *----------------------------------------------------------------------*/

/*
 *  This file contains the data defintions that are stored in EEPROM by Eduard Jadron
 */

#define EEBUSY	0x01
#define EEE		0x02

sfr	EECON = 0xD2;

#pragma SAVE
#pragma REGPARMS

#define	high(number) ((char)((number & 0xFF00)>>8))
#define	low(number) ((char)(number & 0x00FF))

extern void E2P_WRITE (int Address, unsigned char Byte);
extern unsigned char E2P_READ (int Address);
extern void E2P_WRITE2(int Adresa, int Word);
extern unsigned int E2P_READ2(int Adresa);

extern void EEPROMW(int Adresa, unsigned char Byte);
extern unsigned char EEPROMR(int Adresa);

#pragma RESTORE

/*----------------------------------------------------------------------
 *      END OF HEADER FILE
 *----------------------------------------------------------------------*/

