#include <reg51.h>
#include <e2prom.h>

void E2P_WRITE(int Adresa,char Byte)
{
 while((EECON & EEBUSY)==1);	//Kontrolujem EECON.0 ---> EEBUSY 
 EA=0;
 DPL=low(Adresa);
 DPH=high(Adresa);
 ACC=Byte;
 EECON|=EEE;
 #pragma asm
 MOVX @DPTR,A
 #pragma endasm
 EECON&=~EEE;
 EA=1;
}

unsigned char E2P_READ(int Adresa)
{
 while((EECON & EEBUSY)==1);	//Kontrolujem EECON.0 ---> EEBUSY
 EA=0;
 DPL=low(Adresa);
 DPH=high(Adresa);
 EECON|=EEE;
 #pragma asm
 MOVX A,@DPTR
 #pragma endasm
 EECON&=~EEE;
 EA=1;
 return(ACC);
}
/*
void E2P_WRITE2(int Adresa, int Word)
{
 E2P_WRITE(Adresa,high(Word));
 E2P_WRITE(Adresa+1,low(Word));
}

unsigned int E2P_READ2(int Adresa)
{
 return((256*E2P_READ(Adresa))+E2P_READ(Adresa+1));
}
*/
