#include <reg51.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <e2prom.h>
#include <rtx51.h>

#define INIT	0
#define	COMMAND	1
#define	CLOCK	2

code char Retazec[]="* KEIL and Diversant Software are Great !!! *";	//Ulozim potom do oblasti V:0x0100 v EEPROM
char i;
int  Addr;

void Clock(void) _task_ CLOCK
{
 while(1)
  {
   os_wait(K_IVL,100,NULL);
  }
}

void Command(void) _task_ COMMAND
{
 while(1)
  {
   os_wait(K_TMO,50,NULL);
   Addr=0x0000;
   for(i=0x00; i<=(sizeof(Retazec)-1); i++) EEPROMW(Addr+i,Retazec[i]);
   os_wait(K_TMO,50,NULL);
   Addr=0x0000;
   for(i=0x00; i<=(sizeof(Retazec)-1); i++) {EEPROMW(Addr+sizeof(Retazec)+i,EEPROMR(Addr+i));}
   os_wait(K_TMO,50,NULL);
   Addr=0x0000;
   for(i=0x00; i<=(sizeof(Retazec)-1); i++) E2P_WRITE(Addr+i,Retazec[i]);
   os_wait(K_TMO,50,NULL);
   Addr=0x0000;
   for(i=0x00; i<=(sizeof(Retazec)-1); i++) {E2P_WRITE(Addr+sizeof(Retazec)+i,E2P_READ(Addr+i));}
  }
}

void Init(void) _task_ INIT
{
 while(1)
  {
   os_set_slice(10000);
   os_create_task(COMMAND);
   os_create_task(CLOCK);
   os_delete_task(INIT);
  }
}

void main(void)
{
 os_start_system(INIT);
}
