;************************************************************************************
EECON	data	0D2H
EEE	equ	002H
EBUSY	equ	001H
;************************************************************************************
public _EEPROMW
public _EEPROMR
;************************************************************************************

;-----------------------------------------
ENABLE_INT MACRO
	SETB EA
	ENDM
;-----------------------------------------
DISABLE_INT MACRO
	CLR EA
	ENDM
;-----------------------------------------
GET_PARAMS MACRO
	MOV DPL,R7
	MOV DPH,R6
	ENDM
;-----------------------------------------
TEST	MACRO N
XXX&N:	MOV A,EECON
	JB ACC.0,(XXX&N)
	ENDM
;-----------------------------------------

;************************************************************************************

;-----------------------------------------
?EE?EEPROM_WRITE segment code
	rseg ?EE?EEPROM_WRITE
;-----------------------------------------
_EEPROMW:
	TEST 0
	DISABLE_INT
	GET_PARAMS
	MOV A,R5
	ORL EECON,#EEE
	MOVX @DPTR,A
	ANL EECON,#(NOT EEE)
	ENABLE_INT
	RET
;-----------------------------------------

;-----------------------------------------
?EE?EEPROM_READ segment code
	rseg ?EE?EEPROM_READ
;-----------------------------------------
_EEPROMR:
	TEST 1
	DISABLE_INT
	GET_PARAMS
	ORL EECON,#EEE
	MOVX A,@DPTR
	ANL EECON,#(NOT EEE)
	MOV R7,A
	ENABLE_INT
	RET
;-----------------------------------------

;************************************************************************************
	END
